Commit 24a4bac6 authored by miller86's avatar miller86

fixed missing help strings from VAC_ARG_WITH3RD; fixed compilation with PDB proper

git-svn-id: http://visit.ilight.com/svn/visit/trunk/src@7053 18c085ea-50e0-402c-830e-de6fd14e8384
parent 2b0fcde0
......@@ -80,12 +80,15 @@ dnl
dnl Tom Fogal, Wed Apr 1 11:35:50 MST 2009
dnl Rework enabling code so that the command line option takes precedence.
dnl
dnl Mark C. Miller, Mon Apr 27 20:25:28 PDT 2009
dnl Changed AS_HELP_STRING to AC_HELP_STRING
dnl provide --enable-icet and --with-icet-(include|lib)dir=... options. These
dnl values will be picked up later by the AX_CHECK_ICET macro.
AC_DEFUN([AX_ICET_OPTIONS], [
AC_ARG_ENABLE([icet],
[AS_HELP_STRING([--enable-icet],
[AC_HELP_STRING([--enable-icet],
[Use the ICE-T parallel image compositor])]
)
dnl Default to `no' if they aren't set.
......@@ -94,13 +97,13 @@ AS_IF([test -z "${DEFAULT_ICET_LIB}"], [DEFAULT_ICET_LIB="no"])
dnl `with' options to specify header/library locations.
AC_ARG_WITH([icet-includedir],
[AS_HELP_STRING([--with-icet-includedir=/path],
[AC_HELP_STRING([--with-icet-includedir=/path],
[Directory where ICE-T include files can be found.])],
[with_icet_includedir=$withval],
[with_icet_includedir=$DEFAULT_ICET_INCLUDE]
)
AC_ARG_WITH([icet-libdir],
[AS_HELP_STRING([--with-icet-libdir=/path],
[AC_HELP_STRING([--with-icet-libdir=/path],
[Directory where ICE-T libraries can be found.])],
[with_icet_libdir=$withval],
[with_icet_libdir=$DEFAULT_ICET_LIB]
......
......@@ -36,6 +36,9 @@ dnl Modifications:
dnl
dnl Tom Fogal, Thu Mar 5 11:26:51 MST 2009
dnl s/Tuvok/tuvok/, where appropriate.
dnl
dnl Mark C. Miller, Mon Apr 27 20:25:28 PDT 2009
dnl Changed AS_HELP_STRING to AC_HELP_STRING
dnl provide an --enable-tuvok option and an environment variable to enable
dnl Tuvok. If Tuvok is enabled:
......@@ -49,7 +52,7 @@ AC_DEFUN([AX_TUVOK], [
# Use the option if given on the configure line, else use TUVOK_ENABLE in
# the environment (should it be set).
AC_ARG_ENABLE([tuvok],
[AS_HELP_STRING([--enable-tuvok],
[AC_HELP_STRING([--enable-tuvok],
[Enable Tuvok-based volume renderers.])],
[],
[AS_IF([test -n "${TUVOK_ENABLE}"],
......
......@@ -107,6 +107,11 @@ dnl Explicitly null out libloc, libdep variables first. Prevents them from
dnl `stacking up' with multiple invocations of this macro. Pull out help
dnl string generation since it was complex.
dnl
dnl Mark C. Miller, Mon Apr 27 19:44:04 PDT 2009
dnl Via trial-and-error, made some changes that result in help string being
dnl printed correctly. Also, removed extraneous references to 'with_hdf5'
dnl and changed AS_HELP_STRING to AC_HELP_STRING
dnl
AC_DEFUN(VAC_ARG_WITH3RD,
[
dnl Rename some variables for legibility.
......@@ -125,16 +130,12 @@ AC_DEFUN(VAC_ARG_WITH3RD,
dnl Help string is given, or we generate a generic one.
m4_define([ax_m4_help])
m4_define(ax_m4_help, ifelse(,[$5],
[use ax_m4_lib_short_name; build related plugin(s)/code],[$5])
m4_append([ax_m4_help], ifelse(,[$5],
[use ax_m4_lib_short_name; build related plugin(s)/code],[$5])
)
AC_ARG_WITH(ax_m4_lib_short_name,
[AS_HELP_STRING(
[--with-ax_m4_lib_short_name],
ax_m4_help)
],
[withval=${with_hdf5}],
AC_HELP_STRING(--with-ax_m4_lib_short_name,ax_m4_help),,
[withval=${ax_m4_shellvar_libloc}]
)
......
......@@ -899,11 +899,12 @@ Optional Packages:
be ommitted)
--without-pty Disable PTY use
--with-zlib=INC-DIR,LIB-DIR Use the GNU zlib compression
--with-hdf5
--with-hdf5 use hdf5; build related plugin(s)/code
--with-silo use silo; build related plugin(s)/code
--with-exodus=<DIR> enable Exodus driver
--with-exodus-include=<DIR> specify Exodus include path
--with-exodus-lib=<DIR> specify Exodus lib path
--with-pdb use pdb; build related plugin(s)/code
--with-mili=DIR Location of Mili header and library
--with-google-perftools=DIR Location of tc-malloc from google-perftools
--with-hdf4=INC-DIR,LIB-DIR Location of HDF4 header and library
......@@ -5647,7 +5648,7 @@ fi
# Provide some information about the compiler.
echo "$as_me:5650:" \
echo "$as_me:5651:" \
"checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
......@@ -5937,13 +5938,14 @@ else
echo "${ECHO_T}no" >&6
fi
echo "$as_me:$LINENO: checking for library containing strerror" >&5
echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6
if test "${ac_cv_search_strerror+set}" = set; then
echo "$as_me:$LINENO: checking for strerror in -lcposix" >&5
echo $ECHO_N "checking for strerror in -lcposix... $ECHO_C" >&6
if test "${ac_cv_lib_cposix_strerror+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_func_search_save_LIBS=$LIBS
ac_cv_search_strerror=no
ac_check_lib_save_LIBS=$LIBS
LIBS="-lcposix $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
......@@ -5988,80 +5990,24 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_strerror="none required"
ac_cv_lib_cposix_strerror=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_cposix_strerror=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
if test "$ac_cv_search_strerror" = no; then
for ac_lib in cposix; do
LIBS="-l$ac_lib $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char strerror ();
int
main ()
{
strerror ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_strerror="-l$ac_lib"
break
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
done
LIBS=$ac_check_lib_save_LIBS
fi
LIBS=$ac_func_search_save_LIBS
echo "$as_me:$LINENO: result: $ac_cv_lib_cposix_strerror" >&5
echo "${ECHO_T}$ac_cv_lib_cposix_strerror" >&6
if test $ac_cv_lib_cposix_strerror = yes; then
LIBS="$LIBS -lcposix"
fi
echo "$as_me:$LINENO: result: $ac_cv_search_strerror" >&5
echo "${ECHO_T}$ac_cv_search_strerror" >&6
if test "$ac_cv_search_strerror" != no; then
test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
fi
BUILD_FORTRAN=""
......@@ -7512,7 +7458,7 @@ esac
# Check whether --with-hdf5 or --without-hdf5 was given.
if test "${with_hdf5+set}" = set; then
withval="$with_hdf5"
withval=${with_hdf5}
else
withval=${DEFAULT_HDF5_LIBLOC}
......@@ -7977,7 +7923,7 @@ fi
# Check whether --with-silo or --without-silo was given.
if test "${with_silo+set}" = set; then
withval="$with_silo"
withval=${with_hdf5}
else
withval=${DEFAULT_SILO_LIBLOC}
......@@ -8407,9 +8353,30 @@ echo "${ECHO_T}no" >&6
if test -n "$SILO_LIB"; then
if test -n "`strings $SILO_LIBFILE | grep -i 'SILO built with HDF5'`"; then
if test -z "`echo $SILO_LIB | tr ' ' '\n' | grep -x -e '-lhdf5'`"; then
{ { echo "$as_me:$LINENO: error: Silo appears to have a dependence on HDF5. Add dependent libs after ':' in --with-silo arg." >&5
echo "$as_me: error: Silo appears to have a dependence on HDF5. Add dependent libs after ':' in --with-silo arg." >&2;}
{ (exit 1); exit 1; }; }
# If we get here, Silo is dependent on HDF5 library but that
# dependence was NOT explicitly specified either in the DEFAULT_SILO_LIBDEP
# variable or after the ':' in the --with-silo arg. So, lets just
# assume its the same HDF5, if any, that was specified via the --with-hdf
# argument. However, if that too is not specified, we error out.
if test -n "$HDF5_LIB"; then
SILO_LIB="$SILO_LIB $HDF5_LIB"
{ echo "$as_me:$LINENO: WARNING: Silo appears to have a dependence on HDF5.
Assuming it is the same HDF5 library as this
$HDF5_LIBFILE" >&5
echo "$as_me: WARNING: Silo appears to have a dependence on HDF5.
Assuming it is the same HDF5 library as this
$HDF5_LIBFILE" >&2;}
else
{ { echo "$as_me:$LINENO: error: Silo appears to have a dependence on HDF5.
Since no HDF5 library was specified via the
--with-hdf5 argument" >&5
echo "$as_me: error: Silo appears to have a dependence on HDF5.
Since no HDF5 library was specified via the
--with-hdf5 argument" >&2;}
{ (exit you must add dependent
libs after a ':' in the --with-silo arg.); exit you must add dependent
libs after a ':' in the --with-silo arg.; }; }
fi
fi
fi
fi
......@@ -8514,7 +8481,7 @@ fi
# Check whether --with-pdb or --without-pdb was given.
if test "${with_pdb+set}" = set; then
withval="$with_pdb"
withval=${with_hdf5}
else
withval=${DEFAULT_PDB_LIBLOC}
......@@ -8954,7 +8921,12 @@ echo "${ECHO_T}yes" >&6
fi
else
PDB_LIB="$PDB_LIB -lpdb -lscore -lpml"
cat >>confdefs.h <<\_ACEOF
#define HAVE_PDB_PROPER 1
_ACEOF
PDB_LIB="$PDB_LIB -lscore -lpml"
fi
......
......@@ -939,6 +939,10 @@ dnl
dnl Tom Fogal, Sat Apr 25 15:44:48 MDT 2009
dnl Fixed a broken `if' statement.
dnl
dnl Mark C. Miller, Mon Apr 27 20:04:22 PDT 2009
dnl Improved Silo check for HDF5 dependence a bit by falling back to
dnl whatever HDF5 might have been specified via --with-hdf5 arg.
dnl Fixed configuration with PDB proper.
dnl --------------------------------------------------------------------------
dnl
......@@ -2178,7 +2182,22 @@ VAC_ARG_WITH3RD(silo,,siloxx siloh5 silo)
if test -n "$SILO_LIB"; then
if test -n "`strings $SILO_LIBFILE | grep -i 'SILO built with HDF5'`"; then
if test -z "`echo $SILO_LIB | tr ' ' '\n' | grep -x -e '-lhdf5'`"; then
AC_MSG_ERROR(Silo appears to have a dependence on HDF5. Add dependent libs after ':' in --with-silo arg.)
# If we get here, Silo is dependent on HDF5 library but that
# dependence was NOT explicitly specified either in the DEFAULT_SILO_LIBDEP
# variable or after the ':' in the --with-silo arg. So, lets just
# assume its the same HDF5, if any, that was specified via the --with-hdf
# argument. However, if that too is not specified, we error out.
if test -n "$HDF5_LIB"; then
SILO_LIB="$SILO_LIB $HDF5_LIB"
AC_MSG_WARN(Silo appears to have a dependence on HDF5.
Assuming it is the same HDF5 library as this
$HDF5_LIBFILE)
else
AC_MSG_ERROR(Silo appears to have a dependence on HDF5.
Since no HDF5 library was specified via the
--with-hdf5 argument, you must add dependent
libs after a ':' in the --with-silo arg.)
fi
fi
fi
fi
......@@ -2284,7 +2303,8 @@ if test -z "$PDB_LIB"; then
AC_SUBST(PDB_TARGET)
fi
else
PDB_LIB="$PDB_LIB -lpdb -lscore -lpml"
AC_DEFINE(HAVE_PDB_PROPER, [1], [Define if you are using PDB proper instead of PDB lite.])
PDB_LIB="$PDB_LIB -lscore -lpml"
AC_SUBST(PDB_LIB)
fi
......
......@@ -75,6 +75,9 @@
/* Define if you have the netcdf header. */
#undef HAVE_NETCDF_H
/* Define if you are using PDB proper instead of PDB lite. */
#undef HAVE_PDB_PROPER
/* Define if you have pyparsing. */
#undef HAVE_PYPARSING
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment